Subject: Re: help !! (newbee problem)
From: [email-masked] (casteeld)

3 Nov 1997 05:19:48 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Sedat Uyar <[email-masked]>
Cc: [email-masked]

THANK YOU !

This did work, however I did need to use -lgdi32 instead of -lgdi.

Well now that I can compile a program, time to learn how to write one!

Thanks again!
Don

Sedat Uyar wrote:
> 
> casteeld wrote:
> >
> > First let me say thanks to all who devote thier time to helping
> > newcomers
> > like me to learn this stuff.
> >
> > ______________________________________________________________________________
> >
> > I think my system is set up properly according to the READ.ME file
> > I have sucessfuly compiled and run the "Hello.c" program.
> >
> > My next step was to attempt to compile the sample file from
> >         http://www.relisoft.com/win32/winnie.html
> >
> > Below are the setup steps, command line, and results
> >
> > I must be missing something in the command line because I get
> > similar results from other sample programs I try to run.
> > Seems to be related to anything with an #include statement.
> >
> > btw...... what is the STRICT compilation flag ?
> > I've looked all over trying to find out how to use it and can't find
> > anything except the note that it must be used for compiling windows
> > files
> >
> > ______________________________________________________________________________
> >
> > C:\>PATH=C:\WINDOWS\SYSTEM32;C:\WINDOWS;c:\bat;C:\DOS;c:\scsi
> >
> > C:\>gnupath
> >
> > C:\>PATH=C:\WINDOWS\SYSTEM32;C:\WINDOWS;c:\bat;C:\DOS;c:\scsi;C:\gnuwin32\b18\H-i386-cygwin32\bin
> >
> > C:\>SET GCC_EXEC_PREFIX=C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\
> >
> > C:\>SET LIBRARY_PATH=C:\gnuwin32\b18\H-i386-cygwin32\lib;
> >
> > C:\>PATH=C:\WINDOWS\SYSTEM32;C:\WINDOWS;c:\bat;C:\DOS;c:\scsi;C:\gnuwin32\b18\H-i386-cygwin32\bin;C:\gnuwin32\b18\tcl\bin
> >
> > C:\>SET TCL_LIBRARY=C:/gnuwin32/b18/tcl/lib/tcl7.6
> >
> > C:\>SET GDBTK_LIBRARY=C:/gnuwin32/b18/share/gdbtcl
> >
> > C:\>g++ -o .\tmp\winnie.exe .\tmp\winnie.cpp
> > C:\TMP\cc0010001.o(.text+0x8f):winnie.cc: undefined reference to
> > `GetMessageA@16'
> > C:\TMP\cc0010001.o(.text+0xa1):winnie.cc: undefined reference to
> > `DispatchMessageA@4'
> > C:\TMP\cc0010001.o(.text+0xea):winnie.cc: undefined reference to
> > `LoadCursorA@8'
> > C:\TMP\cc0010001.o(.text+0x149):winnie.cc: undefined reference to
> > `CreateWindowExA@48'
> > C:\TMP\cc0010001.o(.text+0x16d):winnie.cc: undefined reference to
> > `PostQuitMessage@4'
> > C:\TMP\cc0010001.o(.text+0x187):winnie.cc: undefined reference to
> > `DefWindowProcA@16'
> > C:\TMP\cc0010001.o(.text+0x1ac):winnie.cc: undefined reference to
> > `ShowWindow@8'
> > C:\TMP\cc0010001.o(.text+0x1b4):winnie.cc: undefined reference to
> > `UpdateWindow@4'
> > C:\TMP\cc0010001.o(.text+0x1c9):winnie.cc: undefined reference to
> > `RegisterClassA@4'
> > g++: Internal compiler error: program ld got fatal signal 1
> >
> > C:\>
> > -
> > For help on using this list (especially unsubscribing), send a message to
> > "[email-masked]" with one line of text: "help".
> Hi,
> You have to tell the linker where to find these Win32Api Calls .
> Include the options "-lkernel32 -luser32 -lgdi32" to the gcc statement
> in your Makefile
> or on the commandline like g++ -o .\tmp\winnie.exe .\tmp\winnie.cpp
> -lkernel32 -luser32 -lgdi .
> 
> The best way to find out Which APICall is implemented in which library
> is the
> command "nm libfile.a | grep _T | grep FuncCall ".
> 
> Have a nice cygwin !
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".